Bug 472633 - redhat-lsb doesn't split core and graphics
redhat-lsb doesn't split core and graphics
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: redhat-lsb (Show other bugs)
11
All Linux
medium Severity high
: ---
: ---
Assigned To: Parag Nemade
Fedora Extras Quality Assurance
: Reopened
: 539558 547051 (view as bug list)
Depends On: F11MinimalPlatform
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-22 00:33 EST by Thayne Harbaugh
Modified: 2010-08-05 19:38 EDT (History)
15 users (show)

See Also:
Fixed In Version: redhat-lsb-4.0-4.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-25 14:15:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Thayne Harbaugh 2008-11-22 00:33:27 EST
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Thayne Harbaugh 2008-11-22 00:36:56 EST
Description of problem:

redhat-lsb package doesn't split core and graphics.  This means that
scripts that use lsb_release or init.d scripts that use
/lib/lsb/init-functions pull in dependencies for the X Windowing System.


Version-Release number of selected component (if applicable):

All

How reproducible:

Every time

Steps to Reproduce:
$> yum install redhat-lsb
=============================================================================
 Package                 Arch       Version          Repository        Size
=============================================================================
Installing:
 redhat-lsb              x86_64     3.1-12.3.EL      rhelbase           21 k
 redhat-lsb              i386       3.1-12.3.EL      rhelbase           21 k
Installing for dependencies:
 bc                      x86_64     1.06-21          rhelbase          110 k
 cairo                   x86_64     1.2.4-5.el5      rhelbase          386 k
 cups                    x86_64     1:1.2.4-11.18.el5  rhelbase          2.7 M
 cups-libs               x86_64     1:1.2.4-11.18.el5  rhelbase          176 k
 fontconfig              x86_64     2.4.1-7.el5      rhelbase          175 k
 freetype                x86_64     2.2.1-19.el5     rhelbase          310 k
 gnutls                  x86_64     1.4.1-2          rhelbase          364 k
 libICE                  i386       1.0.1-2.1        rhelbase           53 k
 libICE                  x86_64     1.0.1-2.1        rhelbase           53 k
 libSM                   i386       1.0.1-3.1        rhelbase           27 k
 libSM                   x86_64     1.0.1-3.1        rhelbase           28 k
 libX11                  i386       1.0.3-9.el5      rhelbase          796 k
 libX11                  x86_64     1.0.3-9.el5      rhelbase          796 k
 libXau                  x86_64     1.0.1-3.1        rhelbase           19 k
 libXau                  i386       1.0.1-3.1        rhelbase           18 k
 libXdmcp                x86_64     1.0.1-2.1        rhelbase           19 k
 libXdmcp                i386       1.0.1-2.1        rhelbase           19 k
 libXext                 x86_64     1.0.1-2.1        rhelbase           37 k
 libXext                 i386       1.0.1-2.1        rhelbase           36 k
 libXft                  x86_64     2.1.10-1.1       rhelbase           45 k
 libXi                   i386       1.0.1-3.1        rhelbase           25 k
 libXi                   x86_64     1.0.1-3.1        rhelbase           26 k
 libXrender              x86_64     0.9.1-3.1        rhelbase           28 k
 libXt                   x86_64     1.0.2-3.1.fc6    rhelbase          182 k
 libXt                   i386       1.0.2-3.1.fc6    rhelbase          174 k
 libXxf86vm              i386       1.0.1-3.1        rhelbase           14 k
 libXxf86vm              x86_64     1.0.1-3.1        rhelbase           14 k
 libdrm                  x86_64     2.0.2-1.1        rhelbase           19 k
 libdrm                  i386       2.0.2-1.1        rhelbase           19 k
 libjpeg                 x86_64     6b-37            rhelbase          140 k
 libpng                  x86_64     2:1.2.10-7.1.el5_0.1  rhelbase          235
k
 libtiff                 x86_64     3.8.2-7.el5      rhelbase          319 k
 mesa-libGL              x86_64     6.5.1-7.5.el5    rhelbase          8.7 M
 mesa-libGL              i386       6.5.1-7.5.el5    rhelbase          9.7 M
 pango                   x86_64     1.14.9-3.el5     rhelbase          334 k
 paps                    x86_64     0.6.6-17.el5     rhelbase           32 k
 xorg-x11-filesystem     noarch     7.1-2.fc6        rhelbase          5.5 k

Transaction Summary
=============================================================================
Install     39 Package(s)
Update       0 Package(s)
Remove       0 Package(s)

Total download size: 26 M
Is this ok [y/N]: N

Actual results:


Expected results:

Scripts should be able to use lsb-core functionality on systems without the
X Windowing System.

Additional info:

Please see comments here:
http://lists.us.dell.com/pipermail/dkms-devel/2008-September/000762.html


Please consider breaking out the dependencies in a way similar to Debian:

lsb - Linux Standard Base 3.2 support package
lsb-appchk3 - LSB v3.x Application checking tool
lsb-base - Linux Standard Base 3.2 init script functionality
lsb-build-base3 - LSB v3.x Development tools base package
lsb-build-cc3 - LSB v3.x Development environment lsbcc package
lsb-build-desktop3 - LSB v3.x Development tools desktop package
lsb-core - Linux Standard Base 3.2 core support package
lsb-cxx - Linux Standard Base 3.2 C++ support package
lsb-desktop - Linux Standard Base 3.2 Desktop support package
lsb-graphics - Linux Standard Base 3.2 graphics support package
lsb-languages - Linux Standard Base 3.2 Runtime Languages package
lsb-multimedia - Linux Standard Base 3.2 Multimedia package
lsb-pkgchk3 - LSB v3.x package checking tool
lsb-printing - Linux Standard Base 3.2 Printing package
lsb-qt4 - Linux Standard Base 3.2 Qt4 support package
lsb-release - Linux Standard Base version reporting utility
lsb-rpm - Red Hat package manager for LSB package building

This provides fine-grained dependencies for packages that want to pull in
distro-specific packages.
Comment 2 Curtis Doty 2008-11-30 15:16:14 EST
I just patched rawhide in bug 245494 to split off desktop and printing sub-packages.
Comment 3 Thayne Harbaugh 2008-12-03 11:14:39 EST
I suggest the following fix which should be backward compatible for
anything that already depends on redhat-lsb:

   * redhat-lsb is a meta-data only package that Requires the following
     packages:
      * redhat-lsb-core
      * redhat-lsb-printing
      * redhat-lsb-graphics
      * redhat-lsb-release   /usr/bin/lsb_release
      * redhat-lsb-init      /lib/lsb/init-functions

(and so forth)

There might be some inter-dependencies between the sub-capability
packages.

This way a package that *only* wants /usr/bin/lsb_release can depend on
redhat-lsb-release and avoid pulling in printing and X and everything
else.  Any already existing package that depends on redhat-lsb will still
get all of the sub-capability packages.
Comment 4 Thayne Harbaugh 2008-12-03 11:27:00 EST
It would be nice to fold this fix back into RHEL 5, RHEL 4, Fedora 9, Fedora 8, etc..  It should be backwards compatible and many companies are still using older distributions.
Comment 5 Matt Domsch 2009-04-01 16:42:33 EDT
I concur.  Using lsb_release shouldn't require us to pull in all the libraries.  This needs to be split out somehow.
Comment 6 Matt Domsch 2009-04-15 16:48:23 EDT
I spoke with Mats Wichman at the Linux Foundation Collaboration Summit last week, and he agrees that there should be finer-grained packages than what is present today.
Comment 7 Bug Zapper 2009-06-09 05:54:38 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Enrico Scholz 2009-11-20 10:39:19 EST
*** Bug 539558 has been marked as a duplicate of this bug. ***
Comment 9 Enrico Scholz 2009-12-13 07:08:03 EST
*** Bug 547051 has been marked as a duplicate of this bug. ***
Comment 10 Tomas Hoger 2010-02-22 08:38:54 EST
Will the split as done in 4.0-2.fc13 make it to F12/F11 too?
Comment 11 Bug Zapper 2010-04-27 08:21:44 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Parag Nemade 2010-06-24 05:14:41 EDT
Closing this as requested change made in F-13 already and no plans currently to port it back to F-12.
Comment 13 Thayne Harbaugh 2010-06-24 13:17:49 EDT
Please realize that failing to back-port this to older distro releases
means that the dependencies cannot be used in newer distro releases.  The
whole point of using LSB is for portability across distros.  Even with this
fixed in RHEL 6 or Fedora 13, if it is not also pushed back into updates for
some of the more recent distro releases then it cannot be used in newer
distros.

It is not a solution to tell my customers that in order to install software
without requiring unnecessary dependencies they must update from RHEL 5 to
RHEL 6 or from Fedora 10 to Fedora 13.  Customers have additional software
rollout processes that make big changes like this slow.  However, having a
fully compatible update to an older distro can be easily qualified by the
customer and deployed.
Comment 14 Matt Domsch 2010-06-25 00:02:05 EDT
well, as of last week Friday, Fedora 11 is now EOL - no updates can be pushed to it.  It would be possible to push to Fedora 12 still.
Comment 15 Parag Nemade 2010-06-25 00:06:00 EDT
Looks I missed to read that(F-11 EOL) announcement then. Where do it came?
Comment 16 Jens Petersen 2010-06-25 00:17:11 EDT
ttp://fedoraproject.org/wiki/Releases/11/Schedule
Comment 17 Matt Domsch 2010-06-25 00:19:31 EDT
my mistake; because of the F13 release slip, likewise F11 EOL slipped one week, to today (Friday, 6/25).
Comment 18 Fedora Update System 2010-06-25 00:50:31 EDT
redhat-lsb-4.0-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/redhat-lsb-4.0-3.fc11
Comment 19 Fedora Update System 2010-06-25 00:55:34 EDT
redhat-lsb-4.0-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/redhat-lsb-4.0-3.fc12
Comment 20 Fedora Update System 2010-06-25 00:56:19 EDT
redhat-lsb-4.0-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/redhat-lsb-4.0-3.fc13
Comment 21 Thayne Harbaugh 2010-06-25 01:22:30 EDT
I actually did not expect this to be submitted to the older distros.

*Thank you* 8-)
Comment 22 Parag Nemade 2010-06-25 01:31:08 EDT
I was not sure about F-11 build but as per comment17, it looked to me that I can give a try considering deadline is 6/25 and it succeed also thought then bodhi will not allow me to push it for F11 but that try also went successful.

Please test the new builds and wherever possible give karma to respective update links from comment 19 and comment 20.
Comment 23 Fedora Update System 2010-06-25 14:13:01 EDT
redhat-lsb-4.0-4.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update redhat-lsb'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/redhat-lsb-4.0-4.fc12
Comment 24 Fedora Update System 2010-06-25 14:15:39 EDT
redhat-lsb-4.0-4.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 25 Fedora Update System 2010-08-05 19:38:23 EDT
redhat-lsb-4.0-4.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.